/*****************************************************************
*   ROUTINE TO CLEAR AND RESET ALL SPORT REGISTERS               *
*****************************************************************/

/* ADSP-21161 system Register bit definitions */
#include 	"def21161.h"

.GLOBAL		Clear_All_SPT_Regs;

.section /pm 	pm_code;

Clear_All_SPT_Regs:
	IRPTL = 0x00000000;		/* clear pending interrupts */
	bit clr imask SP0I|SP1I|SP2I|SP3I; 

	R0 = 0x00000000;			
	dm(SPCTL0) = R0;		// sport0 control register 	
	dm(SPCTL1) = R0;		// sport1 control register 
	dm(SPCTL2) = R0;		// sport3 control register 
	dm(SPCTL3) = R0;		// sport4 control register 
	dm(DIV0) = R0;			// sport0 frame sync divide register 	
	dm(DIV1) = R0;			// sport1 frame sync divide register 	
	dm(DIV2) = R0;			// sport2 frame sync divide register 	
	dm(DIV3) = R0;			// sport3 frame sync divide register 				
	dm(MR0CS0) = R0;		// sport0 multichannel receive select 0					
	dm(MR0CCS0) = R0;		// sport0 multichannel receive compand select 0
	dm(MR0CS1) = R0;		// sport0 multichannel receive select 1
	dm(MR0CCS1) = R0;		// sport0 multichannel receive compand select 1
	dm(MR0CS2) = R0;		// sport0 multichannel receive select 2
	dm(MR0CCS2) = R0;		// sport0 multichannel receive compand select 2
	dm(MR0CS3) = R0;		// sport0 multichannel receive select 3
	dm(MR0CCS3) = R0;		// sport0 multichannel receive compand select 3
	dm(MT2CS0) = R0;		// sport2 multichannel transmit select 0
	dm(MT2CCS0)	= R0;		// sport2 multichannel transmit compand select 0
	dm(MT2CS1) = R0;		// sport2 multichannel transmit select 1
	dm(MT2CCS1)	= R0;		// sport2 multichannel transmit compand select 1
	dm(MT2CS2) = R0;		// sport2 multichannel transmit select 2
	dm(MT2CCS2)	= R0;		// sport2 multichannel transmit compand select 2
	dm(MT2CS3) = R0;		// sport2 multichannel transmit select 3
	dm(MT2CCS3)	= R0;		// sport2 multichannel transmit compand select 3
	dm(SP02MCTL) = R0;		// sport0/2 multichannel control register
	dm(MR1CS0) = R0;		// sport1 multichannel receive select 0					
	dm(MR1CCS0) = R0;		// sport1 multichannel receive compand select 0
	dm(MR1CS1) = R0;		// sport1 multichannel receive select 1
	dm(MR1CCS1) = R0;		// sport1 multichannel receive compand select 1
	dm(MR1CS2) = R0;		// sport1 multichannel receive select 2
	dm(MR1CCS2) = R0;		// sport1 multichannel receive compand select 2
	dm(MR1CS3) = R0;		// sport1 multichannel receive select 3
	dm(MR1CCS3) = R0;		// sport1 multichannel receive compand select 3
	dm(MT3CS0) = R0;		// sport3 multichannel transmit select 0
	dm(MT3CCS0)	= R0;		// sport3 multichannel transmit compand select 0
	dm(MT3CS1) = R0;		// sport3 multichannel transmit select 1
	dm(MT3CCS1)	= R0;		// sport3 multichannel transmit compand select 1
	dm(MT3CS2) = R0;		// sport3 multichannel transmit select 2
	dm(MT3CCS2)	= R0;		// sport3 multichannel transmit compand select 2
	dm(MT3CS3) = R0;		// sport3 multichannel transmit select 3
	dm(MT3CCS3)	= R0;		// sport3 multichannel transmit compand select 3
	dm(SP13MCTL) = R0;		// sport1/3 multichannel control register

   	RTS;





