/********************************************************************************
*                                                                               *
*       ADSP-21161 EZ-KIT Initialization                                        *
*                                                                               *
*********************************************************************************/
	
/* ADSP-21161 System Register bit definitions */
#include 	"def21161.h"

.GLOBAL Init_DSP;
.GLOBAL Blink_LEDs_Test;

.section /pm pm_code;

Init_DSP:
	bit set MODE1 CBUFEN;	// Enable circular buffering

	/* Setup hardware interrupts, FLAG LEDs and pushbutton */
	ustat2=0x00000000;

	/* flags 4-9 are outputs for LEDs, turn on all LEDs*/
	bit set ustat2 FLG9O|FLG8O|FLG7O|FLG6O|FLG5O|FLG4O;
	bit set ustat2 FLG9|FLG8|FLG7|FLG6|FLG5|FLG4;
	dm(IOFLAG)=ustat2;

	bit clr MODE2 FLG0O | FLG1O | FLG2O | FLG3O; 	/* flag 0-3 are inputs from pushbutton switches  */

	IMASK = 0x0; 
	LIRPTL = 0x0;
	IRPTL = 0x00000000;								/* clear pending interrupts */

	L0 = 0;
	L1 = 0;
	L2 = 0;
	L3 = 0;
	L4 = 0;
	L5 = 0;
	L6 = 0;
	L7 = 0;
	L8 = 0;
	L9 = 0;
	L10 = 0;
	L11 = 0;
	L12 = 0;
	L13 = 0;
	L14 = 0;
	L15 = 0;

	r15 = 0;
	IRPTL = 0x00000000;						/* clear pending interrupts */
	bit set mode1 IRPTEN;   				/* enable global interrupts, nesting */	
	bit set imask SP1I|SP3I;				/* start audio processing, enable SPORT1 tx & rx int */

	rts;

Blink_LEDs_Test:
		/* Setup FLAG 4-11 outputs */	
		ustat2=dm(IOFLAG);
		bit set ustat2 FLG9O|FLG8O|FLG7O|FLG6O|FLG5O|FLG4O;
		bit set ustat2 FLG9|FLG8|FLG7|FLG6|FLG5|FLG4;		/* clear flags to start*/
		dm(IOFLAG)=ustat2;

		/* Blink flags 5 times (twice per second) */
		lcntr=10, do blink_loop until lce;
			lcntr=6250000;
			do delay until lce;
delay:			nop;
			bit tgl ustat2 FLG9|FLG8|FLG7|FLG6|FLG5|FLG4;
blink_loop:	dm(IOFLAG)=ustat2;

		rts;
















