/****************************************************************************************************
*                                                                                                   *
*               AD1836 - SPORT1 RX and TX INTERRUPT SERVICE ROUTINE				                    *
*                                                                                                   *
*    Receives input data from the 2 AD1836 ADCs via SPORT1 and transmits audio data 				*
*    back out to the 4 AD1836 Stereo DACs/Line Outputs via SPORT3                                   *          
*                                                                                                   *
****************************************************************************************************/

/* ADSP-21161 System Register bit definitions */
#include 	"def21161.h"
	
.GLOBAL		Process_AD1836_Audio_Samples;	
.Global		Sport3_int_routine;

.section /pm pm_code;

Process_AD1836_Audio_Samples:

LCNTR=1024, DO (PC,3) UNTIL LCE;	// do the next 3 instructions many times
R0=DM(I0,M0);						// read the data from the receive buffer
DM(I1,M1)=R0;						// write the data to the transmit buffer a
DM(I2,M2)=R0;						// write the data to the transmit buffer b

rti;

Sport3_int_routine:
nop;
nop;
nop;
rti;

