/********************************************************************************
*                                                                               *
*       					Main Program                                        *
*                                                                               *
*********************************************************************************/
	
/* ADSP-21161 System Register bit definitions */
#include 	"def21161.h"

.GLOBAL		_main;

.section /pm pm_code;

_main:
	 
	call Init_DSP;
	call Clear_All_SPT_Regs;				/* Clear and Reset SPORTs and DMAs */
	call Program_AD1836_regs_via_SPI;		/* Use SPORTs 1&3 to talk to AD1836 SPI interface */
											/* and program AD1836 Registers*/	
	call Program_SPORT13_DMA_Channels;		/* Start Serial Port 1 tx and rx DMA Transfers */
	call Program_SPORT13_I2S_Registers;		/* Initialize SPORTs for codec communications */
	call Program_dag_init;
	r15=0x0;
	IRPTL = 0x00000000;						/* clear pending interrupts */
	bit set mode1 IRPTEN;   				/* enable global interrupts, nesting */	
	bit set imask SP1I|SP3I;				/* start audio processing, enable SPORT1 tx & rx int */


call Blink_LEDs_Test;						/* Are We Alive? */

wait_forever:								/* wait forever loop */
	idle;
 	jump wait_forever;





 









